Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPSignatureParameterSpec

    java.lang.Object
      cryptix.openpgp.PGPSignatureParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class PGPSignatureParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

Parameters for a V4 OpenPGP Signature

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`PGPSignatureParameterSpec(java.util.Vector hashed, java.util.Vector unhashed, byte sigtype)` Constructs a PGPSignatureParameterSpec object, given some signature subpackets and a signature type byte.

Method Summary
`java.util.Vector` | `getHashed()` Returns the hashed signature subpackets as a Vector
`byte` | `getSigType()` Returns the OpenPGP signature type byte
`java.util.Vector` | `getUnhashed()` Returns the unhashed signature subpackets as a Vector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPSignatureParameterSpec

    public PGPSignatureParameterSpec(java.util.Vector hashed,
                                     java.util.Vector unhashed,
                                     byte sigtype)

  Constructs a PGPSignatureParameterSpec object, given some signature subpackets and a signature type byte.

Method Detail

### getHashed

    public java.util.Vector getHashed()

  Returns the hashed signature subpackets as a Vector

### getUnhashed

    public java.util.Vector getUnhashed()

  Returns the unhashed signature subpackets as a Vector

### getSigType

    public byte getSigType()

  Returns the OpenPGP signature type byte

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.